# Perfect Song - setting.py
#
# Copyright (C) 2015 Guillaume Tucker <guillaume@mangoz.org>
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
# details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import splat.interpol
from splat import dB

TEMPO = 148.0
RATE = 44100
BASS_DELAY = 0.03
INTRO_LENGTH = 4

def intro_spline():
    intro_end = INTRO_LENGTH * 4 * 60 / TEMPO
    intro_pts = [(0.0, dB(-15)), (intro_end / 3, dB(-6)),
                 (intro_end * 2 / 3, 1.0, 0.0), (intro_end, 1.0, 0.0)]
    return splat.interpol.spline(intro_pts)
